Botan 1.10.17

Classes | Namespaces | Functions
pkcs8.h File Reference
`#include <botan/x509_key.h>`
`#include <botan/ui.h>`

Go to the source code of this file.

## Classes
struct | Botan::PKCS8_Exception

## Namespaces
| Botan
| Botan::PKCS8

## Functions
SecureVector< byte > | Botan::PKCS8::BER_encode (const Private_Key &key)
SecureVector< byte > | Botan::PKCS8::BER_encode (const Private_Key &key, RandomNumberGenerator &rng, const std::string &pass, const std::string &pbe_algo)
Private_Key * | Botan::PKCS8::copy_key (const Private_Key &key, RandomNumberGenerator &rng)
void | Botan::PKCS8::encode (const Private_Key &key, Pipe &pipe, X509_Encoding encoding=PEM)
void | Botan::PKCS8::encrypt_key (const Private_Key &key, Pipe &pipe, RandomNumberGenerator &rng, const std::string &pass, const std::string &pbe_algo="", X509_Encoding encoding=PEM)
Private_Key * | Botan::PKCS8::load_key (DataSource &source, RandomNumberGenerator &rng, const User_Interface &ui)
Private_Key * | Botan::PKCS8::load_key (const std::string &fsname, RandomNumberGenerator &rng, const User_Interface &ui)
Private_Key * | Botan::PKCS8::load_key (DataSource &source, RandomNumberGenerator &rng, const std::string &pass)
Private_Key * | Botan::PKCS8::load_key (const std::string &fsname, RandomNumberGenerator &rng, const std::string &pass)
std::string | Botan::PKCS8::PEM_encode (const Private_Key &key)
std::string | Botan::PKCS8::PEM_encode (const Private_Key &key, RandomNumberGenerator &rng, const std::string &pass, const std::string &pbe_algo)